Ubuntu

package blcr-dkms does not support 2.6.33 or more recent kernels

Reported by W. Scott Lockwood III on 2010-04-05
This bug affects 208 people
Affects Status Importance Assigned to Milestone
blcr (Debian)
Fix Released
Unknown
blcr (Ubuntu)
Undecided
Alan
Nominated for Lucid by Alan
Maverick
Undecided
Alan
update-manager (Ubuntu)
Medium
Unassigned
Nominated for Lucid by Alan
Maverick
Medium
Unassigned

Bug Description

1)
Description: Ubuntu lucid (development branch)
Release: 10.04

2)
blcr-dkms:
  Installed: 0.8.2-10
  Candidate: 0.8.2-10
  Version table:
 *** 0.8.2-10 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status

3)
The build should have happened automatically at kernel install.

4)
Instead, it crashed.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: blcr-dkms 0.8.2-10
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: openafs nvidia
Architecture: i386
Date: Mon Apr 5 08:22:06 2010
ErrorMessage: blcr kernel module failed to build
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
PackageArchitecture: all
PackageVersion: 0.8.2-10
SourcePackage: blcr
Title: package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel module failed to build

W. Scott Lockwood III (wsl3) wrote :
W. Scott Lockwood III (wsl3) wrote :

dmesg.log

W. Scott Lockwood III (wsl3) wrote :

lspci-vnvn.log

Hi, blcr is currently known to not work with kernel 2.6.33 or newer.
Upstream and I are working on a patch for this but it's non trivial.

Alan

On 4/5/10, Scott Lockwood <email address hidden> wrote:
> Public bug reported:
>
> 1)
> Description: Ubuntu lucid (development branch)
> Release: 10.04
>
> 2)
> blcr-dkms:
> Installed: 0.8.2-10
> Candidate: 0.8.2-10
> Version table:
> *** 0.8.2-10 0
> 500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
> 100 /var/lib/dpkg/status
>
> 3)
> The build should have happened automatically at kernel install.
>
> 4)
> Instead, it crashed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: blcr-dkms 0.8.2-10
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: openafs nvidia
> Architecture: i386
> Date: Mon Apr 5 08:22:06 2010
> ErrorMessage: blcr kernel module failed to build
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> PackageVersion: 0.8.2-10
> SourcePackage: blcr
> Title: package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel
> module failed to build
>
> ** Affects: blcr (Ubuntu)
> Importance: Undecided
> Status: New
>
>
> ** Tags: apport-package i386 lucid
>
> --
> package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel module
> failed to build
> https://bugs.launchpad.net/bugs/555729
> You received this bug notification because you are subscribed to blcr in
> ubuntu.
>
> Status in “blcr” package in Ubuntu: New
>
> Bug description:
> 1)
> Description: Ubuntu lucid (development branch)
> Release: 10.04
>
> 2)
> blcr-dkms:
> Installed: 0.8.2-10
> Candidate: 0.8.2-10
> Version table:
> *** 0.8.2-10 0
> 500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
> 100 /var/lib/dpkg/status
>
> 3)
> The build should have happened automatically at kernel install.
>
> 4)
> Instead, it crashed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: blcr-dkms 0.8.2-10
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: openafs nvidia
> Architecture: i386
> Date: Mon Apr 5 08:22:06 2010
> ErrorMessage: blcr kernel module failed to build
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> PackageVersion: 0.8.2-10
> SourcePackage: blcr
> Title: package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel
> module failed to build
>
>
>

--
Sent from my mobile device

Alan (awoodland) on 2010-04-11
Changed in blcr (Ubuntu):
assignee: nobody → Alan Woodland (awoodland)
status: New → In Progress
Alan (awoodland) on 2010-05-19
summary: - package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel module
- failed to build
+ package blcr-dkms does not support 2.6.33 or more recent kernels
Changed in blcr (Debian):
status: Unknown → Confirmed
Felipe Figueiredo (philsf) wrote :

In my system:

philsf@philsf-netbook:~$ aptitude why blcr-dkms
i science-statistics Recommends r-cran-rmpi
i A r-cran-rmpi Depends mpi-default-bin
i A mpi-default-bin Depends openmpi-bin
i A openmpi-bin Recommends openmpi-checkpoint
i A openmpi-checkpoint Depends libcr0 (>= 0.8.2)
i A libcr0 Recommends blcr-modules | blcr-dkms

Maybe this package should be demoted from this recommends until there is a fix? I didn't even suspect I had this installed.

Alan (awoodland) wrote :

I am testing packages with support for kernels < 2.6.35 now. 2.6.35 support is probably someway off still. Since as I understand it the forthcoming release will be using 2.6.35 it probably makes sense to make this change on Ubuntu.

Alan

pablomme (pablomme) wrote :

As Felipe suggests, how about breaking the chain at either openmpi-bin > openmpi-checkpoint or libcr0 > blcr-dkms by using a "suggests" instead of a "recommends"? The latter would appear to be less disruptive, although I consider checkpointing more of an anvanced feature than a necessity in a standard MPI installation..

The point in question, though, is whether libcr0 (which is the main BLCR library) works without the kernel module.

By the way, blcr-modules does not appear to exist in Maverick.

Alan (awoodland) wrote :

libcr0 will behave sanely if the kernel modules are not available. The extent of this is to return appropriate error codes from API calls though, rather than actually being useful, hence the recommends there.

I originally took the view that most MPI "users" were probably sysadmins setting up clusters etc. and therefore recommends on MPI made sense because this is exactly the kind of thing you want to push out to cluster nodes.

I've prepared a new upload for Debian, which adds support for kernels up to an including 2.6.34. I plan to upload it tonight once upstream ACK some of the changes I made. This new release also dropped references to blcr-modules (the package originally targeted m-a, not dkms).

Noted and thanks.
I appreciate.

Good day.

On Tue, Sep 28, 2010 at 10:24 PM, Launchpad Bug Tracker <
<email address hidden>> wrote:

> ** Branch linked: lp:debian/sid/blcr
>
> --
> package blcr-dkms does not support 2.6.33 or more recent kernels
> https://bugs.launchpad.net/bugs/555729
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (641009).
>
> Status in “blcr” package in Ubuntu: In Progress
> Status in “blcr” package in Debian: Confirmed
>
> Bug description:
> 1)
> Description: Ubuntu lucid (development branch)
> Release: 10.04
>
> 2)
> blcr-dkms:
> Installed: 0.8.2-10
> Candidate: 0.8.2-10
> Version table:
> *** 0.8.2-10 0
> 500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
> 100 /var/lib/dpkg/status
>
> 3)
> The build should have happened automatically at kernel install.
>
> 4)
> Instead, it crashed.
>
> ProblemType: Package
> DistroRelease: Ubuntu 10.04
> Package: blcr-dkms 0.8.2-10
> ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
> Uname: Linux 2.6.32-19-generic i686
> NonfreeKernelModules: openafs nvidia
> Architecture: i386
> Date: Mon Apr 5 08:22:06 2010
> ErrorMessage: blcr kernel module failed to build
> InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
> PackageArchitecture: all
> PackageVersion: 0.8.2-10
> SourcePackage: blcr
> Title: package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel
> module failed to build
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu/+source/blcr/+bug/555729/+subscribe
>

--
================================================
"Don't lower your Goals to the level of your abilities.
Instead, raise your abilities to the height of your goals "

Every moment, every situation, every issue and every concern has a positive
side.

Find it and bring it to life.... ..

Michael Vogt (mvo) wrote :

I added a update-manager task to warn/block on lucid -> maverick upgrade. We also should release notes this.

Changed in update-manager (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
Michael Vogt (mvo) wrote :

Hm, looking at the postinst it appears that there is a "dkms build ... || true" so this should not cause upgrade failures and no need for update-manager to do anything special.

Alan (awoodland) wrote :

That would be quite a sensible fix to stem the tide of bug reports in Ubuntu. 0.8.2-14 should fix this for kernels upto and including 2.6.34, however I've not yet managed to fix builds for 2.6.35, so this would be worth having still.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package update-manager - 1:0.142.20

---------------
update-manager (1:0.142.20) maverick-proposed; urgency=low

  [ Michael Vogt ]
  * UpdateManager/UpdateManager.py:
    - do not crash if the free space check fails (LP: #656881)
  * DistUpgrade/DistUpgrade.cfg:
    - add blcr-dkms to the "BadVersions" variable. The current blcr-dkms
      source will not build with 2.6.35. Adding it here will cause the
      upgrade to abort with a message if it is installed.
      It also means that if support for 2.6.35 is added to blcr-dkms via
      a SRU that will automatically unblock the upgrade (LP: #555729)
  * DistUpgrade/DistUpgradeViewGtk.py,
    DistUpgrade/DistUpgradeViewKDE.py,:
    - workaround dpkg not sending the correct filename on conffile
      prompts over the status-fd (LP: #656912)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable confDialogue.show_difference_button, workaround for
      "distupgrade crashed during conf file change review" (LP: #656876)
      requires release note that user needs to view changes manually on command line
 -- Jonathan Riddell <email address hidden> Sat, 09 Oct 2010 19:08:23 +0100

Changed in update-manager (Ubuntu Maverick):
status: In Progress → Fix Released
Changed in blcr (Debian):
status: Confirmed → Fix Released
affects: blcr (Debian) → projectcenter.app (Debian)
affects: projectcenter.app (Debian) → blcr (Debian)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package blcr - 0.8.2-15

---------------
blcr (0.8.2-15) unstable; urgency=low

  * Fix typo in 07_fix_cross_pbuilder that broke PPC64 and SPARC64
  * Reran autoconf

blcr (0.8.2-14) unstable; urgency=medium

  * Add dependencies for kernel headers in dkms package (Closes: #592439)
  * Add support for more recent kernels (Closes: #573112)
    - Kernels >= 2.6.32.x and < 2.6.35 are now supported. .35 is WIP still
    - LP: #555729
  * Fix problems with i386 pbuilder on amd64 hosts setting wrong
    CR_LIBARCH (Closes: #597601)
  * Removed legacy references to blcr-modules m-a package
  * Updated to standards 3.9.1
    - Emptied dependency_libs to comply with new *.la policy
  * Medium urgency because of FTBFS bug.
 -- Ubuntu Archive Auto-Sync <email address hidden> Fri, 15 Oct 2010 09:25:39 +0000

Changed in blcr (Ubuntu):
status: In Progress → Fix Released
babazako@yahoo.com (babazako) wrote :

I am trying to upgrade to 10.10 form 10.04
and I have also a problem with blcr-dkms_0.8.2-13

This is what i get:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
Trying to install blacklisted version 'blcr-dkms_0.8.2-13'

any ideas on how to fix this?

Charles Opondo (charlesopondo) wrote :

This is how I got around the error:

While the error message is still displayed (do not close it!), open a terminal
and type "sudo apt-get install blcr-dkms" (without the quotes) and type your
password when requested (it will not be displayed as you type), then let the
installation proceed to the end. When it's complete you can close the error
dialogue box and restart the upgrade. It should proceed beyond this roadblock.

All the best with this.

Charles.

________________________________
From: "<email address hidden>" <email address hidden>
To: <email address hidden>
Sent: Fri, October 15, 2010 4:02:29 PM
Subject: [Bug 555729] Re: package blcr-dkms does not support 2.6.33 or more
recent kernels

I am trying to upgrade to 10.10 form 10.04
and I have also a problem with blcr-dkms_0.8.2-13

This is what i get:

Could not calculate the upgrade

An unresolvable problem occurred while calculating the upgrade:
Trying to install blacklisted version 'blcr-dkms_0.8.2-13'

any ideas on how to fix this?

--
package blcr-dkms does not support 2.6.33 or more recent kernels
https://bugs.launchpad.net/bugs/555729
You received this bug notification because you are a direct subscriber
of a duplicate bug (659701).

Status in “blcr” package in Ubuntu: Fix Released
Status in “update-manager” package in Ubuntu: Fix Released
Status in “blcr” source package in Maverick: In Progress
Status in “update-manager” source package in Maverick: Fix Released
Status in “blcr” package in Debian: Fix Released

Bug description:
1)
Description: Ubuntu lucid (development branch)
Release: 10.04

2)
blcr-dkms:
  Installed: 0.8.2-10
  Candidate: 0.8.2-10
  Version table:
*** 0.8.2-10 0
        500 http://us.archive.ubuntu.com/ubuntu/ lucid/universe Packages
        100 /var/lib/dpkg/status

3)
The build should have happened automatically at kernel install.

4)
Instead, it crashed.

ProblemType: Package
DistroRelease: Ubuntu 10.04
Package: blcr-dkms 0.8.2-10
ProcVersionSignature: Ubuntu 2.6.32-19.28-generic 2.6.32.10+drm33.1
Uname: Linux 2.6.32-19-generic i686
NonfreeKernelModules: openafs nvidia
Architecture: i386
Date: Mon Apr 5 08:22:06 2010
ErrorMessage: blcr kernel module failed to build
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release i386 (20091028.5)
PackageArchitecture: all
PackageVersion: 0.8.2-10
SourcePackage: blcr
Title: package blcr-dkms 0.8.2-10 failed to install/upgrade: blcr kernel module
failed to build

To unsubscribe from this bug, go to:
https://bugs.launchpad.net/ubuntu/+source/blcr/+bug/555729/+subscribe

babazako@yahoo.com (babazako) wrote :

Thanks,
But it didn't work, so I remover the package blcr-dkms, and than it did work.

Changed in blcr (Ubuntu):
status: Fix Released → Confirmed
status: Confirmed → Fix Released
Bob Richard (robertrichard) wrote :

I finally completed an update to 10.10, but the upgrade got interrupted
as the system froze. Rebooting did not work as a number of updates did
not complete. I used the safe (hold shift key down) method and got the
system to fix the broken packages. This kept asking for the 'Alpha
AMD64' cd which I don't have as I use an AMD Athlon 3200+. While the
system started, the update manager reported broken packages. Synaptic
won't open, so I tried the Ubuntu software centre. This also asked for
the 'Alpha AMD64'. I used terminal to get updates (sudo apt-get update),
but this also asked for the Alpha AMD64 CD.

I rebooted a number of times with the same result.

I'm stumped.

On Tue, 2010-10-12 at 03:56 +0000, Bug Watch Updater wrote:
> ** Changed in: blcr (Debian)
> Status: Confirmed => Fix Released
>

Felipe Figueiredo (philsf) wrote :

I can't upgrade my workstation from lucid to maverick due to this bug, so I'm reopening the update-manager task.

None of the following packages is installed in the workstation, so I don't know why u-m is trying to install it.

All I get is the following messagem in a window and then it aborts:

----
An unresolvable problem occurred while calculating the upgrade:
Trying to install blacklisted version 'blcr-dkms_0.8.2-13'

 This can be caused by:
 * Upgrading to a pre-release version of Ubuntu
 * Running the current pre-release version of Ubuntu
 * Unofficial software packages not provided by Ubuntu

If none of this applies, then please report this bug against the 'update-manager' package and include the files in /var/log/dist-upgrade/ in the bug report.
----

Changed in update-manager (Ubuntu):
status: Fix Released → New
Felipe Figueiredo (philsf) wrote :

The packages I mentioned in the last post that are *not* installed.

science-statistics
r-cran-rmpi
mpi-default-bin
openmpi-bin
openmpi-checkpoint
libcr0
blcr-dkms

Felipe Figueiredo (philsf) wrote :
Felipe Figueiredo (philsf) wrote :
Felipe Figueiredo (philsf) wrote :

I included apt.log and main.log, which are the files in /var/log/dist-upgrade. The file term.log is empty so I ommited it.

The fix in update-manager is to block the upgrade because the blcr driver doesn't build in maverick. If you want to upgrade and dont need blcr then uninstall it before upgrading. The correct status is fixed release. Please file a new report for your other issues. Thanks.

Changed in update-manager (Ubuntu):
status: New → Fix Released
Peter Smit (peter-smitmail) wrote :

@Felipe You have installed tree-ppuzzle which uses openmpi-bin

Felipe Figueiredo (philsf) wrote :

@Jean Baptiste,

as I said, the package is *not* installed, nor any of the dependencies
that pulled it in my other box. I don't know why u-m is pulling it,
but it's definitely unexpected.

On Wed, Oct 27, 2010 at 12:49 PM, Jean-Baptiste Lallement
<email address hidden> wrote:
> The fix in update-manager is to block the upgrade because the blcr
> driver doesn't build in maverick. If you want to upgrade and dont need
> blcr then uninstall it before upgrading. The correct status is fixed
> release. Please file a new report for your other issues. Thanks.
>
> ** Changed in: update-manager (Ubuntu)
>       Status: New => Fix Released
>
> --
> package blcr-dkms does not support 2.6.33 or more recent kernels
> https://bugs.launchpad.net/bugs/555729
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (640957).
>

Felipe Figueiredo (philsf) wrote :

@Peter,

you're right, thanks. Removing tree-ppuzzle allowed the upgrade to start.

I note that the dependency for openmpi-bin was added in the maverick
version, so openmpi-bin wasn't installed.

@Jean Baptiste,

considering the upgrade path is broken in this case, is the fix still
valid as it is?

On Wed, Oct 27, 2010 at 12:53 PM, Peter Smit <email address hidden> wrote:
> @Felipe  You have installed tree-ppuzzle which uses openmpi-bin
>
> --
> package blcr-dkms does not support 2.6.33 or more recent kernels
> https://bugs.launchpad.net/bugs/555729
> You received this bug notification because you are a direct subscriber
> of a duplicate bug (640957).
>

@Felipe, blcr is pulled by libcr0 which is pulled by openmpi-checkpoint which is pulled as a recommend of openmpi-checkpoint. You can workaround by uninstalling openmpi-checkpoint before upgrading. I have no lucid system at hand yet to test it but that should do the trick.

Could you please file a new report against openmpi, attach the files in /var/log/dist-upgrade and subscribe me to that new report. A solution would be to lower the dependency on openmpi-checkpoint from recommends to suggest.
Thanks.

Alan (awoodland) wrote :

Surely the real fix is making whatever it is that automatically submits bug reports check for duplicates *before* submitting them and unblocking blcr-dkms in update-manager once this is done? The block was only put in to stop the ridiculous flow of duplicated bug reports.

Felipe Figueiredo (philsf) wrote :

Reported as Bug #667354

Carré (mazootman) on 2010-10-27
Changed in blcr (Ubuntu):
status: Fix Released → Fix Committed
status: Fix Committed → Fix Released
JPi (ajuanpi) wrote :

Sorry If I am posting wrong, just trying to help.
Following Felipe Figueiredo on 2010-09-17, I did

> aptitude why blcr-dkms
i gmsh Recommends mpi-default-bin
i A mpi-default-bin Depends openmpi-bin
i A openmpi-bin Recommends openmpi-checkpoint
i A openmpi-checkpoint Depends libcr0 (>= 0.8.2)
i A libcr0 Recommends blcr-modules | blcr-dkms

I cannot update, any solution so far?

Thanks

Felipe Figueiredo (philsf) wrote :

JPI,

this means it was the installation of package gmsh that prompted the
installation of blcr-dkms. Since it's probably not necessary for proper
usage of gmsh, you should just remove the package blcr-dkms.

Brad Heap (nzv8fan) wrote :

Still crashing with latest updates today.

swulf (chris-carter-iee) wrote :

Ditto. I am fully updated and it still won't update. The 'fix' doesn't fix it.

Perfecto (perfecto) wrote :

It continues crashing with today updates.

UndiFineD (k.dejong) wrote :

still broken

Perfecto (perfecto) wrote :

Still broken with today updates

Reinhard Katzmann (suamor) wrote :

Breaks on my system as well (2.6.35-25-generic)

reader4 (cbrace1-gmail) wrote :

Same problem with my system when trying to upgrade Ubuntu 10.04 to 10.10. In my case, 'aptitude why blcr-dkms' returned that there was not reason to have blcr-dkms. To be sure, I ran 'sudo apt-get purge blcr-dkms' before attempting the upgrade without luck. Using the workaround suggested by Charles Opondo got me past that roadblock, however.

Stefan Junk (stjunk) wrote :

Same here. Charles Opondo's workaround works around...

Gatis Gaigals (gatisg) wrote :

TY!

Some time ago I did:
1) remove deps > restart > np
2) remove blcr-dkms > kernels rebuild? > restart > np
3) upgrade to 10.10 > restart > np
Now have 10.10 :)

~ kind regards ~

Gatis Gaigals

2011/6/20 Stefan Junk <email address hidden>:
> Same here. Charles Opondo's workaround works around...

cement_head (andor-udel) wrote :

Hello,

This bug is back in Maverick as of 2.6.35-32-64.

Here's the relevant entry in the makefile.log (/var/lib/dkms/0.8.2/build/)

checking for Linux kernel build in /lib/modules/2.6.35-32-generic-pae/build... no UTS_RELEASE could be extracted
checking for Linux kernel build in /usr/src/linux-2.6.35-32-generic-pae-obj... not found
checking for Linux kernel build in /usr/src/linux-2.6.35-32-generic-pae... not found
checking for Linux kernel build in /usr/src/kernels/2.6.35-32-generic-pae... not found
configure: error: Could not find a directory containing a Linux kernel 2.6.35-32-generic-pae build. Perhaps try --with-linux=FULL_PATH_TO_KERNEL_BUILD
make[1]: *** [/var/lib/dkms/blcr/0.8.2/build/config-stamp] Error 1
make: *** [_module_/var/lib/dkms/blcr/0.8.2/build] Error 2
make: Leaving directory `/usr/src/linux-headers-2.6.35-32-generic-pae'

dino99 (9d9) wrote :

maverick has reached eol https://wiki.ubuntu.com/Releases

Changed in blcr (Ubuntu Maverick):
status: In Progress → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.